## beets 1.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/beets.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/beets.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/beets"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/beets"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## beets 1.0~b10+dfsg

=== debian/changelog ===
beets (1.0~b10+dfsg-2) unstable; urgency=low

  * Depend on python-pkg-resources (Closes: #649927)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Nov 2011 22:16:27 +0200

beets (1.0~b10+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #589396)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 22 Nov 2011 22:16:28 +0200

=== debian/control ===
Source: beets
Section: sound
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 python-all (>= 2.6.6-3~),
 python-docutils,
 python-musicbrainz2,
 python-setuptools
X-Python-Version: >= 2.5
Standards-Version: 3.9.2
Homepage: http://beets.radbox.org/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/beets/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/beets/trunk/

Package: beets
Architecture: all
Depends:
 libjs-backbone,
 libjs-jquery,
 libjs-underscore,
 python-musicbrainz2 (>= 0.7.2),
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-flask, python-gst0.10
Description: music tagger and library organizer
 Beets is a media library management system for obsessive-compulsive music
 geeks.
 .
 The purpose of beets is to get your music collection right once and for all.
 It catalogs your collection, automatically improving its metadata as it goes
 using the MusicBrainz database.  It then provides a set of tools for
 manipulating and accessing your music.
 .
 Beets also includes a music player that implements the MPD protocol, so you
 can play music in your beets library using any MPD client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/beets/
	mv debian/beets/usr/bin/beet debian/beets/usr/share/beets
	dh_link /usr/share/beets/beet /usr/bin/beet

override_dh_installman:
	rst2man debian/beet.rst > debian/beet.1
	dh_installman debian/beet.1

=== debian/watch ===
version=3

opts=uversionmangle=s/b/~b/,dversionmangle=s/\+dfsg// \
http://code.google.com/p/beets/downloads/list .*/beets-(.*)\.tar\.gz \
debian debian/repack.sh

## beets 1.0~b11

=== debian/changelog ===
beets (1.0~b11-1) unstable; urgency=low

  * New upstream release (Closes: #650078)
    - No need to repack any more, upstream uses non-minified JS.
  * Drop dependency on python-musicbrainz2 (now uses the internal musicbrainz3
    library, soon to be broken out into musicbrainz-ngs).
  * Build docs, they are now included.
    - Use upstream's manpages.
    - Add doc-base entry.
  * Run tests, they are now included.
    - Use unittest2 to provide newer unittest features for python2.6.
    - Build-Depend on python-mutagen, python-munkres, and python-unidecode
    - Test under the en_US.UTF-8 locale, to work around a test expecting a
      UTF-8 locale.
  * Suggest python-rgain, for the rgain plugin.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 13 Dec 2011 16:44:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,15 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
+ locales,
  python-all (>= 2.6.6-3~),
  python-docutils,
- python-musicbrainz2,
- python-setuptools
+ python-munkres,
+ python-mutagen,
+ python-setuptools,
+ python-sphinx (>= 1.0.7+dfsg),
+ python-unidecode,
+ python-unittest2
 X-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Homepage: http://beets.radbox.org/
@@ -21,11 +26,11 @@
  libjs-backbone,
  libjs-jquery,
  libjs-underscore,
- python-musicbrainz2 (>= 0.7.2),
  python-pkg-resources,
  ${misc:Depends},
- ${python:Depends}
-Suggests: python-flask, python-gst0.10
+ ${python:Depends},
+ ${sphinxdoc:Depends}
+Suggests: python-flask, python-gst0.10, python-rgain
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music
  geeks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html man BUILDDIR=$(CURDIR)/build/docs

override_dh_auto_test:
	# Tests (non-destructively) open the database
	mkdir -p build/home
	# Tests need UTF-8 locale
	mkdir -p build/locale
	localedef -f UTF-8 -i en_US build/locale/en_US.UTF-8/
	set -e -x; \
	for python in $(shell pyversions -r); do \
		HOME=$(CURDIR)/build/home \
		LOCPATH=$(CURDIR)/build/locale LC_ALL=en_US.UTF-8 \
		$$python setup.py test; \
	done

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/beets/
	mv debian/beets/usr/bin/beet debian/beets/usr/share/beets
	dh_link /usr/share/beets/beet /usr/bin/beet

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_compress:
	dh_compress -X.html -X.txt -X.inv

## beets 1.0~b12

=== debian/changelog ===
beets (1.0~b12-1) unstable; urgency=low

  [ Simon Chopin ]
  * New upstream release:
    - Patch libmpd-incompatibility included upstream.
  * Add myself to Uploaders:
  * Add python-musicbrainzngs in Build-Depends: since upstream dropped the embedded
    copy
  * Suggest the python-acoustid package for the chroma plugin
  * Remove the egg-info directory in the clean target of debian/rules to
    enable consecutive builds.

  [ Stefano Rivera ]
  * Refresh patches.
  * Bump copyright years, and add entries for Simon and the replaygain plugin
    from 1.0~b11.
  * Patch: integer-timestamps: Avoid test failure on filesystems with
    high-resolution file timestamps (Closes: #655732)

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 22 Jan 2012 01:09:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Stefano Rivera <stefanor@debian.org>
+Uploaders:
+ Stefano Rivera <stefanor@debian.org>,
+ Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
  debhelper (>= 7.0.50~),
  locales,
  python-all (>= 2.6.6-3~),
  python-docutils,
  python-munkres,
+ python-musicbrainzngs,
  python-mutagen,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
@@ -30,7 +33,7 @@
  ${misc:Depends},
  ${python:Depends},
  ${sphinxdoc:Depends}
-Suggests: python-flask, python-gst0.10, python-rgain
+Suggests: python-acoustid, python-flask, python-gst0.10, python-rgain
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music
  geeks.

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build
+	rm -rf beets.egg-info
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.rst

=== debian/watch ===
version=3

opts=uversionmangle=s/b/~b/,dversionmangle=s/\+dfsg// \
http://code.google.com/p/beets/downloads/list .*/beets-(.*)\.tar\.gz

## beets 1.0~b13

=== debian/changelog ===
beets (1.0~b13-1) unstable; urgency=low

  [ Simon Chopin ]
  * New upstream release.
    - patches unittest2 and integer-timestamps included upstream
  * Add python-pylast to the Suggests: field for the lastgenre plugin.

  [ Stefano Rivera ]
  * Update machine-readable copyright file to Format 1.0.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Simon Chopin <chopin.simon@gmail.com>  Wed, 21 Mar 2012 12:30:24 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python-unidecode,
  python-unittest2
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://beets.radbox.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/beets/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/beets/trunk/
@@ -33,7 +33,12 @@
  ${misc:Depends},
  ${python:Depends},
  ${sphinxdoc:Depends}
-Suggests: python-acoustid, python-flask, python-gst0.10, python-rgain
+Suggests:
+ python-acoustid,
+ python-flask,
+ python-gst0.10,
+ python-pylast,
+ python-rgain
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music
  geeks.

## beets 1.0~b14

=== debian/changelog ===
beets (1.0~b14-2) unstable; urgency=low

  * Split the documentation in a separate beets-doc package (Closes: #672363)
    + Add symlinks in /usr/share/doc/beets to ../beets-doc/

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 03 Jun 2012 20:29:43 +0200

beets (1.0~b14-1) unstable; urgency=low

  * New upstream release.
    - Update debian/copyright.
  * Respect nocheck in DEB_BUILD_OPTIONS.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 May 2012 11:41:35 -0700

=== debian/control ===
--- 
+++ 
@@ -31,9 +31,9 @@
  libjs-underscore,
  python-pkg-resources,
  ${misc:Depends},
- ${python:Depends},
- ${sphinxdoc:Depends}
+ ${python:Depends}
 Suggests:
+ beets-doc,
  python-acoustid,
  python-flask,
  python-gst0.10,
@@ -50,3 +50,23 @@
  .
  Beets also includes a music player that implements the MPD protocol, so you
  can play music in your beets library using any MPD client.
+
+Package: beets-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Breaks: beets (<< 1.0~b14-2~)
+Replaces: beets (<< 1.0~b14-2~)
+Description: music tagger and library organizer - documentation
+ Beets is a media library management system for obsessive-compulsive music
+ geeks.
+ .
+ The purpose of beets is to get your music collection right once and for all.
+ It catalogs your collection, automatically improving its metadata as it goes
+ using the MusicBrainz database.  It then provides a set of tools for
+ manipulating and accessing your music.
+ .
+ Beets also includes a music player that implements the MPD protocol, so you
+ can play music in your beets library using any MPD client.
+ .
+ This package provides detailed documentation on beets usage.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	$(MAKE) -C docs html man BUILDDIR=$(CURDIR)/build/docs
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Tests (non-destructively) open the database
 	mkdir -p build/home
 	# Tests need UTF-8 locale
@@ -19,9 +20,13 @@
 		LOCPATH=$(CURDIR)/build/locale LC_ALL=en_US.UTF-8 \
 		$$python setup.py test; \
 	done
+endif
 
 override_dh_auto_install:
 	dh_auto_install -- --install-lib=/usr/share/beets/
+
+override_dh_install:
+	dh_install
 	mv debian/beets/usr/bin/beet debian/beets/usr/share/beets
 	dh_link /usr/share/beets/beet /usr/bin/beet

## beets 1.0~rc2

=== debian/changelog ===
beets (1.0~rc2-1) experimental; urgency=low

  * New upstream release.
  * Update copyright.
  * Support ~rcX in the watch file.
  * Suggest python-imaging for resizing album art (fetchart or embedart
    plugins), and libav-tools for transcoding (convert plugin).
  * Suggest mp3gain for bpd.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Jan 2013 17:21:03 +0200

beets (1.0~b15-1) experimental; urgency=low

  * New upstream release.
    - Album art downloading has been moved into the "fetchart" plugin.
  * Patch no-namespace-pkg: Don't make beetsplug a namespace package, this
    serves no purpose, if we are installing into a private location.
  * Upload to experimental, as Debian is frozen for wheezy.
  * Use the C.UTF-8 locale instead of generating a UTF-8 locale at build time.
    - Build-Depend on libc-bin (>= 2.13).
  * Bump Standards-Version to 3.9.4.
    - Bump debhelpers Build-Depend to 8.1, for build-{arch,indep} support.
  * Add autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 04 Dec 2012 22:39:05 +0200

## beets 1.0.0

=== debian/changelog ===
beets (1.0.0-1) experimental; urgency=low

  * Initial upstream stable release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 Feb 2013 14:11:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Stefano Rivera <stefanor@debian.org>,
  Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
- debhelper (>= 7.0.50~),
- locales,
+ debhelper (>= 8.1),
+ libc-bin (>= 2.13),
  python-all (>= 2.6.6-3~),
  python-docutils,
  python-munkres,
@@ -18,10 +18,11 @@
  python-unidecode,
  python-unittest2
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://beets.radbox.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/beets/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/beets/trunk/
+XS-Testsuite: autopkgtest
 
 Package: beets
 Architecture: all
@@ -34,9 +35,12 @@
  ${python:Depends}
 Suggests:
  beets-doc,
+ libav-tools,
+ mp3gain,
  python-acoustid,
  python-flask,
  python-gst0.10,
+ python-imaging,
  python-pylast,
  python-rgain
 Description: music tagger and library organizer

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,10 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Tests (non-destructively) open the database
 	mkdir -p build/home
-	# Tests need UTF-8 locale
-	mkdir -p build/locale
-	localedef -f UTF-8 -i en_US build/locale/en_US.UTF-8/
 	set -e -x; \
 	for python in $(shell pyversions -r); do \
 		HOME=$(CURDIR)/build/home \
-		LOCPATH=$(CURDIR)/build/locale LC_ALL=en_US.UTF-8 \
+		LC_ALL=C.UTF-8 \
 		$$python setup.py test; \
 	done
 endif

=== debian/watch ===
version=3

opts=uversionmangle=s/(b|rc)/~$1/,dversionmangle=s/\+dfsg// \
http://code.google.com/p/beets/downloads/list .*/beets-(.*)\.tar\.gz

## beets 1.2.1

=== debian/changelog ===
beets (1.2.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Simon Chopin ]
  * New upstream release (Closes: #715561).
  * Upload to unstable
  * Update watch file to use PyPI.
  * Add a patch to fix a crash in the BPD plugin
  * Update d/copyright with a separate paragraph for beetsplug/* Expat files
  * Add python-requests to the Suggests field for the beatport plugin
  * Add a TODO file to keep track of the unpackaged plugin dependencies

 -- Simon Chopin <chopin.simon@gmail.com>  Mon, 22 Jul 2013 16:12:53 +0200

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,18 @@
  python-all (>= 2.6.6-3~),
  python-docutils,
  python-munkres,
- python-musicbrainzngs,
- python-mutagen,
+ python-musicbrainzngs (>= 0.3),
+ python-mutagen (>= 1.21),
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python-unidecode,
- python-unittest2
+ python-unittest2,
+ python-yaml
 X-Python-Version: >= 2.5
 Standards-Version: 3.9.4
 Homepage: http://beets.radbox.org/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/beets/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/beets/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/beets/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/beets/trunk/
 XS-Testsuite: autopkgtest
 
 Package: beets
@@ -30,6 +31,7 @@
  libjs-backbone,
  libjs-jquery,
  libjs-underscore,
+ python-mutagen (>= 1.21),
  python-pkg-resources,
  ${misc:Depends},
  ${python:Depends}
@@ -42,6 +44,7 @@
  python-gst0.10,
  python-imaging,
  python-pylast,
+ python-requests,
  python-rgain
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music

## beets 1.3.1

=== debian/changelog ===
beets (1.3.1-1) unstable; urgency=low

  [ Simon Chopin ]
  * Version the dependency on python-musicbrainzngs (>= 0.4) (Closes: #717763)
  * New upstream release (Closes: #730046)
    + Bump the dependency on python-mutagen (>= 1.22)
    + Drop the fix_bpd_search patch, merged upstream.
  * Export PYTHONPATH when building the doc to build the API docs as well.

  [ Stefano Rivera ]
  * Update copyright holders

 -- Simon Chopin <chopin.simon@gmail.com>  Sat, 30 Nov 2013 00:39:48 -0800

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python-all (>= 2.6.6-3~),
  python-docutils,
  python-munkres,
- python-musicbrainzngs (>= 0.3),
- python-mutagen (>= 1.21),
+ python-musicbrainzngs (>= 0.4),
+ python-mutagen (>= 1.22),
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python-unidecode,
@@ -31,6 +31,7 @@
  libjs-backbone,
  libjs-jquery,
  libjs-underscore,
+ python-musicbrainzngs (>= 0.4),
  python-mutagen (>= 1.21),
  python-pkg-resources,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) -C docs html man BUILDDIR=$(CURDIR)/build/docs
+	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html man BUILDDIR=$(CURDIR)/build/docs
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: unittests
Depends: @, python-nose, python-all, python-unittest2

=== debian/watch ===
version=3

opts=uversionmangle=s/(b|rc)/~$1/,dversionmangle=s/\+dfsg// \
https://pypi.python.org/packages/source/b/beets/beets-(.+).tar.gz

## beets 1.3.8%2Bdfsg

=== docs/Makefile ===
--- 
+++ 
@@ -6,6 +6,11 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+
+# When both are available, use Sphinx 2.x for autodoc compatibility.
+ifeq ($(shell which sphinx-build2 >/dev/null 2>&1 ; echo $$?),0)
+	SPHINXBUILD = sphinx-build2
+endif
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4

## beets 1.3.8+dfsg

=== debian/changelog ===
beets (1.3.8+dfsg-2) unstable; urgency=medium

  * Patch: test_bucket-years. Fix test failure when the current year is >=
    2015 (Closes: #775618)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 18 Jan 2015 11:39:11 -0800

beets (1.3.8+dfsg-1) unstable; urgency=low

  [ Stefano Rivera ]
  * New upstream release. (Closes: #745582)
    - Suggests python-mpd, for mpdstats plugin.
    - Depends on python-enum34, rather than an internal enum implementation.
  * Update (and sort) copyright holders.
  * Suggests python-bs4, for the Lyrics plugin.
  * Repack orig tarball, to remove lyrics with no license for redistribution.

  [ Jackson Doak ]
  * New upstream release. (1.3.3)
    - Build-depend on python-flask
  * Drop no-namespace-pkg patch, fixed upstream

  [ Simon Chopin ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add build-dependencies on python-response and python-nose for the tests
  * Bump copyright year.
  * Add python-pylast to Build-Depends for the tests
  * Patch out the tests depending on pyechonest and rarfile
  * Add new copyright holders for the plugins
  * Build-conflict on python-rarfile as the Debian version don't pass the test
    (note that this is gracefully handled beets)

 -- Simon Chopin <chopin.simon@gmail.com>  Thu, 23 Oct 2014 23:35:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,23 @@
  libc-bin (>= 2.13),
  python-all (>= 2.6.6-3~),
  python-docutils,
+ python-enum34,
+ python-flask,
+ python-mock,
  python-munkres,
  python-musicbrainzngs (>= 0.4),
  python-mutagen (>= 1.22),
+ python-nose,
+ python-pylast,
+ python-responses,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python-unidecode,
  python-unittest2,
  python-yaml
+Build-Conflicts: python-rarfile
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://beets.radbox.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/beets/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/beets/trunk/
@@ -31,6 +38,7 @@
  libjs-backbone,
  libjs-jquery,
  libjs-underscore,
+ python-enum34,
  python-musicbrainzngs (>= 0.4),
  python-mutagen (>= 1.21),
  python-pkg-resources,
@@ -38,15 +46,18 @@
  ${python:Depends}
 Suggests:
  beets-doc,
+ gir1.2-gstreamer-1.0,
  libav-tools,
  mp3gain,
  python-acoustid,
+ python-bs4,
  python-flask,
+ python-gi,
  python-gst0.10,
  python-imaging,
+ python-mpd,
  python-pylast,
- python-requests,
- python-rgain
+ python-requests
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music
  geeks.

=== debian/watch ===
version=3

opts=uversionmangle=s/(b|rc)/~$1/;s/$/\+dfsg/ \
https://pypi.python.org/packages/source/b/beets/beets-(.+).tar.gz

## beets 1.3.19

=== debian/changelog ===
beets (1.3.19-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/mediafile-Cleanup-mutagen-error-handling.patch:
    Add patch backported from upstream to update exception handling for
    python-mutagen >= 1.33. This fixes a test failure and
    FTBFS (Closes: #851016)
  * d/p/Test-true-FLAC-bitrate-from-Mutagen-1.35.patch:
    Add patch backported from upstream to fix a failing test with
    python-mutagen >= 1.35
    - d/control: depend and build-depend on a compatible version

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Jan 2017 09:41:08 +0000

beets (1.3.19-2) unstable; urgency=medium

  * Fix occasional FTBFS due to lack of mock cleanup. Thanks Santiago Vila.
    (Closes: #835937)
  * Fix autopkgtests by adding the test dependencies, and a sane unittest
    incantation.
  * Drop unittest2 and nose Build-Depends, no longer used.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 29 Aug 2016 22:07:14 -0700

beets (1.3.19-1) unstable; urgency=medium

  * New upstream release. (Closes: #775719, #792060, LP: #1502394)
    - No need to repack any more.
    - Drop patches, superseded upstream.
    - Update copyright.
    - Add Build-Depends: python-{bs4,mpd,mutagen,pathlib,rarfile,xdg}
    - Add Suggests (plugin dependencies):
      python-{dbus,pathlib,rarfile,requests-oauthlib,xdg}
    - Update gstreamer Suggests to python-gst-1.0 (Closes: #785903)
    - Upstream dropped Python 2.6 support.
  * Drop Build-Conflicts: python-rarfile, it seems to be working now.
  * Patches:
    - Bundled a function from jellyfish, pending resolving a package namespace
      problem blocking packaging jellyfish. See #806716.
    - Cherry pick upstream fixes for test_mediafile_edge and test_hidden.
    - Skip tests for path queries, as these are broken by Debian sqlite using
      SQLITE_LIKE_DOESNT_MATCH_BLOBS.
  * Switch watch file to pypi.debian.net. (Closes: #815761)
  * Bump debhelper compat level to 9.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Aug 2016 01:18:46 -0700

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,32 @@
  Stefano Rivera <stefanor@debian.org>,
  Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
- debhelper (>= 8.1),
+ debhelper (>= 9),
+ dh-python,
  libc-bin (>= 2.13),
  python-all (>= 2.6.6-3~),
- python-docutils,
- python-enum34,
+ python-bs4,
+ python-enum34 (>= 1.0.4),
  python-flask,
  python-mock,
+ python-mpd,
  python-munkres,
  python-musicbrainzngs (>= 0.4),
- python-mutagen (>= 1.22),
- python-nose,
+ python-mutagen (>= 1.35),
+ python-pathlib,
  python-pylast,
+ python-rarfile,
  python-responses,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python-unidecode,
- python-unittest2,
+ python-xdg,
  python-yaml
-Build-Conflicts: python-rarfile
-X-Python-Version: >= 2.5
-Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.8
 Homepage: http://beets.radbox.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/beets/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/beets/trunk/
-XS-Testsuite: autopkgtest
 
 Package: beets
 Architecture: all
@@ -40,24 +41,27 @@
  libjs-underscore,
  python-enum34,
  python-musicbrainzngs (>= 0.4),
- python-mutagen (>= 1.21),
+ python-mutagen (>= 1.35),
  python-pkg-resources,
  ${misc:Depends},
  ${python:Depends}
 Suggests:
  beets-doc,
- gir1.2-gstreamer-1.0,
  libav-tools,
  mp3gain,
  python-acoustid,
  python-bs4,
+ python-dbus,
  python-flask,
- python-gi,
- python-gst0.10,
+ python-gst-1.0,
  python-imaging,
  python-mpd,
+ python-pathlib,
  python-pylast,
- python-requests
+ python-rarfile,
+ python-requests,
+ python-requests-oauthlib,
+ python-xdg
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music
  geeks.

=== debian/tests/control ===
Tests: unittests
Depends:
 beets,
 python-all,
 python-bs4,
 python-flask,
 python-mock,
 python-mpd,
 python-pathlib,
 python-pylast,
 python-rarfile,
 python-responses,
 python-xdg

## beets 1.4.6

=== debian/changelog ===
beets (1.4.6-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Thanks for the NMU, Matthias.
  * Declare Rules-Requires-Root: no.
  * Migrate to git on salsa.debian.org.
  * Simply have the autopkgtests install the build-deps.
  * Patch update-unidecode-tests: unidecode changed behaviour.
  * Bump debhelper compat to 10.
    - Drop dh_compress override, no longer needed.
  * Rely on pybuild for tests and clean.
  * Get the test suite passing (Closes: #892735).
    - Patch no-discogs: discogs is not available in debian.
    - Patch pathlib-is-stdlib: We don't have python3-pathlib in Debian.
    - Patch: skip-broken-test.
  * Drop patch skip-test_query-path-tests, superseded upstream.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

 -- Stefano Rivera <stefanor@debian.org>  Mon, 12 Mar 2018 15:20:40 -0700

beets (1.4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Simon Chopin from the uploaders list. Closes: #889761.
  * Run the tests during the build using python3.
  * Run the autopkg tests using python3, update test dependencies.
    Closes: #889078.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Mar 2018 11:44:22 +0100

beets (1.4.6-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.1.3

 -- Ryan Kavanagh <rak@debian.org>  Thu, 04 Jan 2018 15:51:54 -0500

beets (1.4.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #852257)
    + version number displayed by beets now agrees with the Debian package
      version (Closes: #837193)
    + Fixes issues with broken utf8 filenames (Closes: #851630)

  [ Ryan Kavanagh ]
  * Bumped standards version to 4.0.1
  * Switch to Python 3 now that it's supported by upstream. (Closes: #849085)
    + Update the (build-)dependencies accordingly.
    + Specify that we're using pybuild in the rules
    + Drop (build-)dependencies on python-enum34, python-imaging
      (Closes: #866416), and python-pathlib: these are no longer needed
      with Python 3.
    + We require at least Python 3.4 if we are to drop python-enum34; set
      X-Python3-Version and other dependency versions accordingly.
  * Refreshed patches, and dropped the following unneeded patches:
    fix-test_hidden, fix-test_mediafile_edge, fix-test_nonexistent_file,
    no-jellyfish
  * Because #806716 has been resolved, added a build-dependency on
    python3-jellyfish; this justifies dropping the no-jellyfish patch.
    (Closes: #839640)
  * Fixed insecure URLs for Vcs-Browser; no secure alternative exists for
    Vcs-Svn
  * Updated copyright holders
  * Added myself to the uploaders field
  * Install zsh completion file (Closes: #775811)

 -- Ryan Kavanagh <rak@debian.org>  Mon, 04 Sep 2017 14:26:49 -0400

=== debian/control ===
--- 
+++ 
@@ -4,34 +4,34 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders:
  Stefano Rivera <stefanor@debian.org>,
- Simon Chopin <chopin.simon@gmail.com>
+ Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  libc-bin (>= 2.13),
- python-all (>= 2.6.6-3~),
- python-bs4,
- python-enum34 (>= 1.0.4),
- python-flask,
- python-mock,
- python-mpd,
- python-munkres,
- python-musicbrainzngs (>= 0.4),
- python-mutagen (>= 1.35),
- python-pathlib,
- python-pylast,
- python-rarfile,
- python-responses,
- python-setuptools,
- python-sphinx (>= 1.0.7+dfsg),
- python-unidecode,
- python-xdg,
- python-yaml
-X-Python-Version: >= 2.7
-Standards-Version: 3.9.8
+ python3-all (>= 3.4),
+ python3-bs4,
+ python3-flask,
+ python3-jellyfish,
+ python3-mock,
+ python3-mpd,
+ python3-munkres,
+ python3-musicbrainzngs (>= 0.4),
+ python3-mutagen (>= 1.27),
+ python3-pylast,
+ python3-rarfile,
+ python3-responses,
+ python3-setuptools,
+ python3-sphinx (>= 1.0.7+dfsg),
+ python3-unidecode,
+ python3-xdg,
+ python3-yaml
+Standards-Version: 4.1.3
+X-Python3-Version: >= 3.4
 Homepage: http://beets.radbox.org/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/beets/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/beets/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/beets.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/beets
+Rules-Requires-Root: no
 
 Package: beets
 Architecture: all
@@ -39,29 +39,26 @@
  libjs-backbone,
  libjs-jquery,
  libjs-underscore,
- python-enum34,
- python-musicbrainzngs (>= 0.4),
- python-mutagen (>= 1.35),
- python-pkg-resources,
+ python3-musicbrainzngs (>= 0.4),
+ python3-mutagen (>= 1.21),
+ python3-pkg-resources,
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Suggests:
  beets-doc,
  libav-tools,
  mp3gain,
- python-acoustid,
- python-bs4,
- python-dbus,
- python-flask,
- python-gst-1.0,
- python-imaging,
- python-mpd,
- python-pathlib,
- python-pylast,
- python-rarfile,
- python-requests,
- python-requests-oauthlib,
- python-xdg
+ python3-acoustid,
+ python3-bs4,
+ python3-dbus,
+ python3-flask,
+ python3-gst-1.0,
+ python3-mpd,
+ python3-pylast,
+ python3-rarfile,
+ python3-requests,
+ python3-requests-oauthlib,
+ python3-xdg
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music
  geeks.

## beets 1.4.7

=== debian/changelog ===
beets (1.4.7-2) unstable; urgency=medium

  * Use py3versions -s in autopkgtests, now that X-Python3-Version is dropped.
    (Closes: #900833, 901716)
  * Patch py37-compat: Cherry pick Python 3.7 support patch from upstream.
    Thanks Michael Hudson-Doyle.
  * Bump Standards-Version to 4.2.0, no changes needed.
  * Skip some tests that seem to commonly fail in builds / autopkgtests, and
    are causing more annoyance than value. This will probably need to be
    extended.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 20 Aug 2018 08:55:31 -0700

beets (1.4.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Ryan Kavanagh ]
  * Import new upstream version 1.4.7
  * Update copyright file with new authors
  * Bump standards version to 4.1.4
  * Fix packaging to install man pages again.
  * Drop patch update-unidecode-tests, applied upstream

 -- Ryan Kavanagh <rak@debian.org>  Thu, 31 May 2018 10:14:01 -0400

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,7 @@
  python3-unidecode,
  python3-xdg,
  python3-yaml
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.4
+Standards-Version: 4.2.0
 Homepage: http://beets.radbox.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/beets.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/beets

## beets 1.4.9

=== debian/changelog ===
beets (1.4.9-4) unstable; urgency=medium

  * Skip a couple more unreliable tests, thanks Santiago Vila
    (Closes: #855092)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Jan 2020 19:16:15 +0200

beets (1.4.9-3) unstable; urgency=medium

  * Patch: mutagen-1.43: Add support for python3-mutagen 1.43 in tests.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Jan 2020 12:13:29 +0200

beets (1.4.9-2) unstable; urgency=medium

  * Patch: skip-buildd-failures: Skip tests failing on the Debian buildds.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 25 Dec 2019 12:47:45 +0200

beets (1.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.
  * Suggest:
    - python3-gi for the bpd and replaygain plugins.
    - python3-pil for the embedart, fetchart, and thumbnails plugins.
    - python3-langdetect for the lyrics plugin.
  * Bump debhelper compat level to 12. As the doc-main-package changed to
    beets:
    - Don't create symlinks to beets-doc from beets, any more.
    - Remove the existing symlink in preinst.
  * Bump Standards-Version to 4.4.1.
  * Remove versioned constraints that pre-date stretch.
  * Run autopkgtests only against the default Python 3. (Closes: #943448)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 25 Dec 2019 08:59:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,27 @@
  Stefano Rivera <stefanor@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
- libc-bin (>= 2.13),
- python3-all (>= 3.4),
+ python3-all,
  python3-bs4,
  python3-flask,
  python3-jellyfish,
  python3-mock,
  python3-mpd,
  python3-munkres,
- python3-musicbrainzngs (>= 0.4),
- python3-mutagen (>= 1.27),
+ python3-musicbrainzngs,
+ python3-mutagen,
  python3-pylast,
  python3-rarfile,
  python3-responses,
  python3-setuptools,
- python3-sphinx (>= 1.0.7+dfsg),
+ python3-sphinx,
  python3-unidecode,
  python3-xdg,
  python3-yaml
-Standards-Version: 4.2.0
-Homepage: http://beets.radbox.org/
+Standards-Version: 4.4.1
+Homepage: http://beets.io/
 Vcs-Git: https://salsa.debian.org/python-team/applications/beets.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/beets
 Rules-Requires-Root: no
@@ -51,8 +50,11 @@
  python3-bs4,
  python3-dbus,
  python3-flask,
+ python3-gi,
  python3-gst-1.0,
+ python3-langdetect,
  python3-mpd,
+ python3-pil,
  python3-pylast,
  python3-rarfile,
  python3-requests,
@@ -74,8 +76,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Breaks: beets (<< 1.0~b14-2~)
-Replaces: beets (<< 1.0~b14-2~)
 Description: music tagger and library organizer - documentation
  Beets is a media library management system for obsessive-compulsive music
  geeks.

=== debian/tests/control ===
Tests: unittests
Depends:
 beets,
 @builddeps@

=== debian/watch ===
version=3

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/beets/beets-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## beets 1.6.0

=== docs/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest auto
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"

=== debian/changelog ===
beets (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 29 Nov 2021 14:28:35 -0400

beets (1.5.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
    - bpd plugin now supports MPD 1.6. (Closes: #901828)
    - Supports python3-mpd2 2.0.0. (Closes: #975639)
  * Add upstream metadata.
  * Refresh patches.
  * Drop patches:
    - mutagen-1.43 and mutagen-1.45: mutagen 1.45 is available to us.
    - no-discogs: python3-discogs-client is in Debian.
    - python-3.8-ast and werkzeug-1.0: superseded upstream.
  * Build-Depend on python3-discogs-client, now that it's available.
  * Build-Depend on python3-requests-oauthlib, for the beatport plugin tests.
  * Build-Depend and Suggest python3-reflink, optionally required by upstream.
  * Depend and Build-Depend on python3-reflink, required by upstream.
  * Demote python3-mutagen to suggests, as it's no longer a core dependency of
    beets.
  * Update copyright.
  * New core dependency python3-confuse.
  * Replace ancient libav-tools suggestion with ffmpeg. (Closes: #995210)
  * Bump watch file version to 4.
  * Bump Standards-Version 4.6.0, no changes needed.
  * Run test suite with pytest.
  * Use minimal dependencies in the autopkgtest, instead of build deps.
  * Bump debhelper compat level to 13, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 11 Oct 2021 12:11:35 -0700

beets (1.4.9-7) unstable; urgency=medium

  * Bump Build-Depends on python3-mutagen, to help the migration autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Aug 2020 11:28:00 -0700

beets (1.4.9-6) unstable; urgency=medium

  * Patch: Compatibility with Werkzeug 1.0. (Closes: #967023)
  * Patch: Compatibility with Mutagen 1.45 in tests.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 04 Aug 2020 21:52:05 -0700

beets (1.4.9-5) unstable; urgency=medium

  * Fix ast module usage, broken by python 3.8.4~rc1-1, causing FTBFS and
    crashes on startup. (Closes: #964245)
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 10 Jul 2020 16:11:12 -0700

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,39 @@
 Source: beets
 Section: sound
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Stefano Rivera <stefanor@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-confuse,
+ python3-discogs-client,
  python3-bs4,
  python3-flask,
  python3-jellyfish,
+ python3-mediafile,
  python3-mock,
  python3-mpd,
  python3-munkres,
  python3-musicbrainzngs,
- python3-mutagen,
  python3-pylast,
+ python3-pytest,
  python3-rarfile,
+ python3-reflink,
+ python3-requests-oauthlib,
  python3-responses,
  python3-setuptools,
  python3-sphinx,
  python3-unidecode,
  python3-xdg,
  python3-yaml
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: http://beets.io/
-Vcs-Git: https://salsa.debian.org/python-team/applications/beets.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/beets
+Vcs-Git: https://salsa.debian.org/python-team/packages/beets.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/beets
 Rules-Requires-Root: no
 
 Package: beets
@@ -37,14 +42,15 @@
  libjs-backbone,
  libjs-jquery,
  libjs-underscore,
+ python3-confuse,
+ python3-mediafile,
  python3-musicbrainzngs (>= 0.4),
- python3-mutagen (>= 1.21),
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends}
 Suggests:
  beets-doc,
- libav-tools,
+ ffmpeg,
  mp3gain,
  python3-acoustid,
  python3-bs4,
@@ -54,9 +60,11 @@
  python3-gst-1.0,
  python3-langdetect,
  python3-mpd,
+ python3-mutagen,
  python3-pil,
  python3-pylast,
  python3-rarfile,
+ python3-reflink,
  python3-requests,
  python3-requests-oauthlib,
  python3-xdg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/beets/ --install-scripts=/usr/share/beets/
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html man

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

=== debian/tests/control ===
Tests: unittests
Depends:
 beets,
 python3-bs4,
 python3-discogs-client,
 python3-flask,
 python3-mock,
 python3-mpd,
 python3-pylast,
 python3-pytest,
 python3-pytest,
 python3-reflink,
 python3-requests-oauthlib,
 python3-responses,
 python3-xdg

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/beets/beets-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
